import "tools.rsx"

rcar $car = get scriptowner car
rcar $localcar = get local car

rcarmodel $targa = get generic model 0 of $car
set $targa scriptcontrolled 1
int $targaopen
$targaopen = 1
moveModel($targa, 0, -0.5, -1)

rcarmodel $headlights = get generic model 1 of $car
set $headlights scriptcontrolled 1
float $headlightsper
$headlightsper = 1.0
int $headlightsup = 1
$headlightsup = 1

rcarmodel $headlightsshadow = get generic model 2 of $car
set $headlightsshadow scriptcontrolled 1
moveModel($headlightsshadow , 0, -0.1, 0)

rcarmodel $leftwindow = get generic model 3 of $car
set $leftwindow scriptcontrolled 1

rcarmodel $rightwindow = get generic model 4 of $car
set $rightwindow scriptcontrolled 1

rcarmodel $reverselights = get generic model 5 of $car
set $reverselights scriptcontrolled 1

int $windowsopen
$windowsopen = 1
float $windowsper
$windowsper = 1.0

int $keydown = 0

while 1
{
  if($car == $localcar)
  { 
    if(get $car gear == 1) 
    {
      moveModel($reverselights, 0, 0, 0)
    }
    else
    {
      moveModel($reverselights, 0, 0, 1)
    }

    if(is key getAscii("l") pressed)
    {
      if($keydown == 0)
      {
        $keydown = 1

	$headlightsup = 1 - $headlightsup
      }
    }
    else if(is key getAscii("w") pressed)
    {
      if($keydown == 0)
      {
        $keydown = 1

	$windowsopen = 1 - $windowsopen
      }
    }
    else if(is key getAscii("t") pressed)
    {
      if($keydown == 0)
      {
        $keydown = 1

	if($targaopen == 1)
        {
	  $targaopen = 0
          moveModel($targa, 0, 0, 0)
	}
	else
	{
	  $targaopen = 1

          moveModel($targa, 0, -0.5, -1)
	}
      }
    }
    else
    {
      $keydown = 0
    }
  }

  $windowsper = moveAndRotate($leftwindow, $windowsper, 2000, $windowsopen, 0,0,0, 0,-0.26,0.1, 0,0,0, 0,0,0, 0.03,0,-0.2)
  $windowsper = moveAndRotate($rightwindow, $windowsper, 2000, $windowsopen, 0,0,0, 0.0,-0.26,0.1, 0,0,0, 0,0,0, -0.03,0,0.2)

  $headlightsper = moveAndRotate($headlights, $headlightsper, 500, $headlightsup, 0,0,0, 0,0,0, 0,0.241,1.682, 0,-0.9,0, 0,0,0)

  if($headlightsper > 0.9)
  {
    moveModel($headlightsshadow,0,-0.1,0) 
  }
  else
  {
    moveModel($headlightsshadow,0,0,0) 
  }

  interrupt
}

